### Method

# Pango FontDescriptionget_variations

since: 1.42

#### Declaration [src]

    const char*
    pango_font_description_get_variations (
      const PangoFontDescription* desc
    )

#### Description [src]

Gets the variations field of a font description.

See `pango_font_description_set_variations()`.

Available since: 1.42

#### Return value

Type: `const char*`

The variations field for the font description, or `NULL` if not previously set. This has the same life-time as the font description itself and should not be freed.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.